﻿/*
 * MOUNT.h
 *
 * Created: 2013/10/10 20:52:19
 *  Author: Koichi Nishida
 */ 
/*
Copyright (C) 2016 Koichi NISHIDA
email to Koichi NISHIDA: tulip-house@msf.biglobe.ne.jp

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MOUNT_H_
#define MOUNT_H_

// whether UI is running or not
extern volatile int8_t MOUNT_running;

// initialize user interface
void MOUNT_init(void);

// clear properties
void MOUNT_clearProperties(void);

// write back to the DSK image
void MOUNT_writeBack(uint8_t drive);

// mount an image in the FlashAir to the drive
void MOUNT_mount(uint8_t drive);

// operation for exchanging the SD card
uint8_t MOUNT_exchangeSD(uint8_t start);

#endif /* MOUNT_H_ */
